@import "../../global.scss";

.fill-wrapper{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 0;
  height: 100%;
  object-fit: cover;
}

.home-banner {
  // background: url(../../assets/images/ZHA-banner-31.jpg);
  background-size: cover;
  min-height: 100vh;
  // padding: 0px 0px 150px 0;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  h1 {
    font-size: 75px;
    font-weight: 700;
    color: $Lime;
    line-height: 1.2;
    // margin-top: a;
    display: flex;
    @include mtablet {
      font-size: 52px;
    }
  }
  .container_padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
    .maintenance_message {
      background-color: yellow;
      padding: 10px;
      width: 100%;
      z-index: 5;
      position: absolute;
      top: 16%;
    }
  }
}

.title {
  font-size: 60px;
  font-weight: 700;
  line-height: 1;
  color: $Blue;
  @include mtablet {
    font-size: 40px;
  }
}
.insightTitle {
  font-size: 60px;
  font-weight: 700;
  line-height: 1;
  color: $Blue;
  margin-top: 90px;
  @include mtablet {
    font-size: 40px;
  }
}

.bg-light-teal {
  background: rgba($Teal, 0.2);
  .content-area {
    @include mtablet {
      margin-top: 200px;
    }
    @include mmobile {
      margin-top: 120px;
    }
  }
  .bulb-icon {
    width: 50px;
  }
  h5 {
    color: $Teal;
    font-size: 26px;
    font-family: "Mier B Book";
    @include mtablet {
      font-size: 20px;
    }
  }
}
.right-imge {
  object-fit: cover;
}

.speed-section {
  // background: url(../../assets/images/jared-arango-1-mh6U3qeGQ-unsplash.jpg)
    // no-repeat;
  position: relative;
  background-size: cover;
  padding-bottom: 20px;
  overflow: hidden;
  .title {
    color: $Lime;
  }
  .speed-container {
    margin-top: 120px;
  }
  .speed-card {
    h6 {
      font-size: 30px;
      font-weight: bold;
      color: $Teal;
      display: inline-block;
      position: relative;
      &::before {
        content: "";
        background: url(../../assets/images/ZHA-left-bracket.png) no-repeat;
        position: absolute;
        width: 15px;
        height: 25px;
        left: -25px;
        top: 50%;
        @include transform(translateY(-50%));
        background-size: contain;
      }
      &::after {
        content: "";
        background: url(../../assets/images/ZHA-right-bracket.png) no-repeat;
        position: absolute;
        width: 15px;
        height: 25px;
        right: -25px;
        top: 50%;
        @include transform(translateY(-50%));
        background-size: contain;
      }
    }
    p {
      font-size: 22px;
      line-height: 1.2;
    }
  }
}

.insights-section {
  background: rgba($Lime, 0.1);
  padding-bottom: 70px;
}

.custom-media {
  align-items: inherit;
  height: 100%;
  .media-left {
    width: 60%;
  }
  .media-body {
    height: 100%;
    color: $Gray;
    border: 1px solid $Green;
    padding: 15px;
    @include transition(all ease 0.4s);
    h3 {
      font-size: 30px;
      font-weight: bold;
    }
    h4 {
      font-size: 22px;
      font-weight: bold;
      @include mtablet {
        font-size: 15px;
      }
    }
    p {
      font-family: "Mier B Book";
    }
    .read-more {
      font-family: "Mier B Book";
      color: $Green;
      font-size: 13px;
      text-transform: uppercase;
      text-decoration: none;
      padding-top: 1.5em;
      @include transition(all ease 0.4s);
    }
  }
  &:hover {
    .media-body {
      border: 1px solid $Blue;
      .read-more {
        color: $Blue;
      }
    }
  }
}
